 /*
 *Driver for the card pcie bridge.

 *Copyright (C) 2019 AVerMedia TECHNOLOGIES, Inc.

 *This program is free software; you can redistribute it and/or
 *modify it under the terms of the GNU General Public License
 *as published by the Free Software Foundation; either version 2
 *of the License, or (at your option) any later version.

 *This program is distributed in the hope that it will be useful,
 *but WITHOUT ANY WARRANTY; without even the implied warranty of
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *GNU General Public License for more details.

 *You should have received a copy of the GNU General Public License
 *along with this program; if not, write to the Free Software
 *Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
 
#ifndef BOARD_GPIO_H
#define BOARD_GPIO_H

#ifdef __cplusplus
extern "C" {
#endif

typedef enum
{
    BOARD_GPIO_RESET_7619,
    BOARD_GPIO_EDID_WP,
    BOARD_GPIO_EDID_W1,
    BOARD_GPIO_EDID_W2,
    BOARD_GPIO_HPD_RX_CTL,
    BOARD_GPIO_NUM,        
}board_gpio_e;

int board_gpio_init(cxt_mgr_handle_t cxt_mgr);
void board_set_gpio(cxt_mgr_handle_t cxt_mgr,board_gpio_e no,gpio_model_pin_value_t value);
gpio_model_pin_value_t board_get_gpio(cxt_mgr_handle_t cxt_mgr,board_gpio_e no);

#ifdef __cplusplus
}
#endif

#endif /* BOARD_GPIO_H */

